Subject: bug#25547: 25.1.91; emacsclient -c creates frames on the wrong display

From: Stefan Monnier <[email-masked]>
Date: Fri, 06 Nov 2020 17:07:29 -0500

> To answer your second question first, if we try to use
> server-create-tty-frame, Emacs will try to run display the frame in
> the terminal of the calling client, which it can't do in the case of a
> dumb terminal.

The comment could say something like "`emacsclient` is running
inside something like a `M-x shell` buffer: we can't run Emacs in such
ttys, so we use whichever terminal is currently selected".

        Stefan